> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call

> Gets the details of a call



## OpenAPI

````yaml GET /v1/call
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/call:
    get:
      description: Gets the details of a call
      parameters:
        - name: call_id
          in: query
          description: The ID of the call
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Call response
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      call_id:
                        type: string
                        example: 78c57119-6e1d-4995-ba0b-d74d5bc1c765
                      status:
                        type: string
                        example: calling
                  - $ref: '#/components/schemas/Call'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Call:
      type: object
      properties:
        call_id:
          type: string
        agent_id:
          type: string
        outcome:
          type: string
          enum:
            - confirmed
            - unconfirmed
            - unknown
            - requested_callback
        status:
          type: string
          enum:
            - calling
            - completed
            - error
            - voicemail
        outcome_justification:
          type: string
        appointment_date:
          type: string
          format: date-time
        summary:
          type: string
        started_at:
          type: string
          format: date-time
        ended_at:
          type: string
          format: date-time
        call_length:
          type: string
        recordingWav:
          type: string
        transcript:
          type: string
      required:
        - call_id
        - agent_id
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````